package de.tudarmstadt.ke.sw.matching.wikimatch;

import java.net.URI;
import java.util.Enumeration;
import java.util.Properties;

import org.semanticweb.owl.align.Alignment;
import org.semanticweb.owl.align.AlignmentException;
import org.semanticweb.owl.align.AlignmentProcess;
import org.semanticweb.owl.align.Cell;

import com.hp.hpl.jena.ontology.OntModel;
import com.hp.hpl.jena.ontology.OntModelSpec;
import com.hp.hpl.jena.rdf.model.ModelFactory;

import de.tudarmstadt.ke.sw.matching.wikimatch.matcher.OaeiWikiMatch;
import fr.inrialpes.exmo.align.impl.BasicAlignment;
import fr.inrialpes.exmo.align.impl.URIAlignment;
/**
 * @author Sven Hertling
 * 
 */
public class WikiMatch extends BasicAlignment implements AlignmentProcess {

	private URI uri1;
	private URI uri2;
	
	@Override
	public void init(Object arg0, Object arg1) throws AlignmentException {
		uri1 = (URI) arg0;
		uri2 = (URI) arg1;
	}

	public void align(Alignment _alignment, Properties props)
			throws AlignmentException {

		OntModel onto1 = ModelFactory.createOntologyModel(OntModelSpec.OWL_MEM);
		onto1.read(uri1.toString());

		OntModel onto2 = ModelFactory.createOntologyModel(OntModelSpec.OWL_MEM);
		onto2.read(uri2.toString());

		Alignment alignment = new URIAlignment();
		
		alignment = new OaeiWikiMatch().align(onto1, onto2, alignment);

		Enumeration<Cell> e = alignment.getElements();
		while (e.hasMoreElements()) {
			Cell c = e.nextElement();
			this.addAlignCell(c.getObject1(), c.getObject2(), c.getRelation().toString(), c.getStrength());
		}

	}
}