package de.tudarmstadt.ke.sw.matching.wikimatch.matcher;

import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public class MyStringUtil {
	

	private static HashMap<String, String> tokenMap = new HashMap<String, String>();
	
    private static String myFormat = String.format("%s|%s|%s","(?<=[\\p{Lu}])(?=[A-Z][a-z])","(?<=[^A-Z])(?=[\\p{Lu}])","(?<=[A-Za-z])(?=[^\\p{L}])");
    /**
     * make tokens out of a String
     * @param text string for token
     * @return a list of tokens
     */
    public static String makeWikiString(String language, String text){
    	if(tokenMap.containsKey(text)){
    		return tokenMap.get(text);
    	}
        String ret = text;
        ret = ret.replace(",", " ");
        ret = ret.replace(";", " ");
        ret = ret.replace(":", " ");
        ret = ret.replace("(", " ");
        ret = ret.replace(")", " ");
        ret = ret.replace("?", " ");
        ret = ret.replace("!", " ");
        ret = ret.replace(".", " ");
        ret = ret.replace("_", " ");
        ret = ret.replace("-", " ");
        ret = ret.replaceAll(myFormat, " ");
        StringBuilder sb = new StringBuilder();
        for(String tokens : ret.split(" ")){
        	tokens = tokens.trim();
            if(tokens.length() != 0 && isStopword(language, tokens) == false){
            	sb.append(tokens.toLowerCase().concat(" "));
            }
        }
        String finish = sb.toString().trim();
        
        tokenMap.put(text, finish);
        return finish;
    }
    
    private static boolean isStopword(String language, String text){    	
    	Set<String> stopwords = languageStopwords.get(language);
    	if(stopwords == null)
    		return false;
    	return stopwords.contains(text);
    }
    
    
    
    
    
    private static final Map<String, Set<String>> languageStopwords = createStopwords();
    		
    private static Map<String, Set<String>> createStopwords() {
    	Map<String, Set<String>> map = new HashMap<String, Set<String>>();
    	
    	//arabic
    	map.put("ar",  new HashSet<String>(Arrays.asList(
                new String[] {"فى" ,"في" ,"كل" ,"لم" ,"لن" ,"له" ,"من" ,"هو" ,"هي" ,"قوة" ,"كما" ,"لها" ,"منذ" ,"وقد" ,"ولا" ,"نفسه" ,"لقاء" ,"مقابل" ,"هناك" ,"وقال" ,"وكان" ,"نهاية" ,"وقالت" ,"وكانت" ,"للامم" ,"فيه" ,"كلم" ,"لكن" ,"وفي" ,"وقف" ,"ولم" ,"ومن" ,"وهو" ,"وهي" ,"يوم" ,"فيها" ,"منها" ,"مليار" ,"لوكالة" ,"يكون" ,"يمكن" ,"مليون	حيث" ,"اكد" ,"الا" ,"اما" ,"امس" ,"السابق" ,"التى" ,"التي" ,"اكثر" ,"ايار" ,"ايضا" ,"ثلاثة" ,"الذاتي" ,"الاخيرة" ,"الثاني" ,"الثانية" ,"الذى" ,"الذي" ,"الان" ,"امام" ,"ايام" ,"خلال" ,"حوالى" ,"الذين" ,"الاول" ,"الاولى" ,"بين" ,"ذلك" ,"دون" ,"حول" ,"حين" ,"الف" ,"الى" ,"انه" ,"اول" ,"ضمن" ,"انها" ,"جميع" ,"الماضي" ,"الوقت" ,"المقبل" ,"اليوم" ,"ـ" ,"ف" ,"و" ,"و6" ,"قد" ,"لا" ,"ما" ,"مع" ,"مساء" ,"هذا" ,"واحد" ,"واضاف" ,"واضافت" ,"فان" ,"قبل" ,"قال" ,"كان" ,"لدى" ,"نحو" ,"هذه" ,"وان" ,"واكد" ,"كانت" ,"واوضح" ,"مايو	ب" ,"ا" ,"أ" ,"،" ,"عشر" ,"عدد" ,"عدة" ,"عشرة" ,"عدم" ,"عام" ,"عاما" ,"عن" ,"عند" ,"عندما" ,"على" ,"عليه" ,"عليها" ,"زيارة" ,"سنة" ,"سنوات" ,"تم" ,"ضد" ,"بعد" ,"بعض" ,"اعادة" ,"اعلنت" ,"بسبب" ,"حتى" ,"اذا" ,"احد" ,"اثر" ,"برس" ,"باسم" ,"غدا" ,"شخصا" ,"صباح" ,"اطار" ,"اربعة" ,"اخرى" ,"بان" ,"اجل" ,"غير" ,"بشكل" ,"حاليا" ,"بن" ,"به" ,"ثم" ,"اف" ,"ان" ,"او" ,"اي" ,"بها"})));
    	
    	//catalan
    	map.put("ca",  new HashSet<String>(Arrays.asList(
                new String[] {"de" ,"es" ,"i" ,"a" ,"o" ,"un" ,"una" ,"unes" ,"uns" ,"un" ,"tot" ,"també" ,"altre" ,"algun" ,"alguna" ,"alguns" ,"algunes" ,"ser" ,"és" ,"soc" ,"ets" ,"som" ,"estic" ,"està" ,"estem" ,"esteu" ,"estan" ,"com" ,"en" ,"per" ,"perquè" ,"per que" ,"estat" ,"estava" ,"ans" ,"abans" ,"éssent" ,"ambdós" ,"però" ,"per" ,"poder" ,"potser" ,"puc" ,"podem" ,"podeu" ,"poden" ,"vaig" ,"va" ,"van" ,"fer	faig" ,"fa" ,"fem" ,"feu" ,"fan" ,"cada" ,"fi" ,"inclòs" ,"primer" ,"des de" ,"conseguir" ,"consegueixo" ,"consigueix" ,"consigueixes" ,"conseguim" ,"consigueixen" ,"anar" ,"haver" ,"tenir" ,"tinc" ,"te" ,"tenim" ,"teniu" ,"tene" ,"el" ,"la" ,"les" ,"els" ,"seu" ,"aquí" ,"meu" ,"teu" ,"ells" ,"elles" ,"ens" ,"nosaltres" ,"vosaltres" ,"si" ,"dins" ,"sols" ,"solament" ,"saber" ,"saps" ,"sap" ,"sabem" ,"sabeu" ,"saben" ,"últim" ,"llarg" ,"bastant	fas" ,"molts" ,"aquells" ,"aquelles" ,"seus" ,"llavors" ,"sota" ,"dalt" ,"ús" ,"molt" ,"era" ,"eres" ,"erem" ,"eren" ,"mode" ,"bé" ,"quant" ,"quan" ,"on" ,"mentre" ,"qui" ,"amb" ,"entre" ,"sense" ,"jo" , "aquell"})));
    	
    	//czech
    	map.put("cs",  new HashSet<String>(Arrays.asList(
                new String[] {"dnes" ,"cz" ,"timto" ,"budes" ,"budem" ,"byli" ,"jses" ,"muj" ,"svym" ,"ta" ,"tomto" ,"tohle" ,"tuto" ,"tyto" ,"jej" ,"zda" ,"proc" ,"mate" ,"tato" ,"kam" ,"tohoto" ,"kdo" ,"kteri" ,"mi" ,"nam" ,"tom" ,"tomuto" ,"mit" ,"nic" ,"proto" ,"kterou" ,"byla" ,"toho" ,"protoze" ,"asi" ,"ho" ,"nasi" ,"napiste" ,"re" ,"coz" ,"tim" ,"takze" ,"svych" ,"jeji" ,"svymi" ,"jste" ,"aj" ,"tu" ,"tedy" ,"teto	bylo" ,"kde" ,"ke" ,"prave" ,"ji" ,"nad" ,"nejsou" ,"ci" ,"pod" ,"tema" ,"mezi" ,"pres" ,"ty" ,"pak" ,"vam" ,"ani" ,"kdyz" ,"vsak" ,"ne" ,"jsem" ,"tento" ,"clanku" ,"clanky" ,"aby" ,"jsme" ,"pred" ,"pta" ,"jejich" ,"byl" ,"jeste" ,"az" ,"bez" ,"take" ,"pouze" ,"prvni" ,"vase" ,"ktera" ,"nas" ,"novy" ,"tipy" ,"pokud" ,"muze" ,"design" ,"strana" ,"jeho" ,"sve" ,"jine" ,"zpravy" ,"nove" ,"neni	vas" ,"jen" ,"podle" ,"zde" ,"clanek" ,"uz" ,"email" ,"byt" ,"vice" ,"bude" ,"jiz" ,"nez" ,"ktery" ,"by" ,"ktere" ,"co" ,"nebo" ,"ten" ,"tak" ,"ma" ,"pri" ,"od" ,"po" ,"jsou" ,"jak" ,"dalsi" ,"ale" ,"si" ,"ve" ,"to" ,"jako" ,"za" ,"zpet" ,"ze" ,"do" ,"pro" ,"je" , "na"})));

    	//danish
    	map.put("da",  new HashSet<String>(Arrays.asList(
                new String[] {"af" ,"alle" ,"andet" ,"andre" ,"at" ,"begge" ,"da" ,"de" ,"den" ,"denne" ,"der" ,"deres" ,"det" ,"dette" ,"dig" ,"din" ,"dog" ,"du" ,"ej" ,"eller" ,"en" ,"end" ,"ene" ,"eneste" ,"enhver" ,"et" ,"fem" ,"fire" ,"flere" ,"fleste" ,"for" ,"fordi" ,"forrige	fra" ,"få" ,"før" ,"god" ,"han" ,"hans" ,"har" ,"hendes" ,"her" ,"hun" ,"hvad" ,"hvem" ,"hver" ,"hvilken" ,"hvis" ,"hvor" ,"hvordan" ,"hvorfor" ,"hvornår" ,"i" ,"ikke" ,"ind" ,"ingen" ,"intet" ,"jeg" ,"jeres" ,"kan" ,"kom" ,"kommer" ,"lav" ,"lidt" ,"lille" ,"man	mand" ,"mange" ,"med" ,"meget" ,"men" ,"mens" ,"mere" ,"mig" ,"ned" ,"ni" ,"nogen" ,"noget" ,"ny" ,"nyt" ,"nær" ,"næste" ,"næsten" ,"og" ,"op" ,"otte" ,"over" ,"på" ,"se" ,"seks" ,"ses" ,"som" ,"stor" ,"store" ,"syv" ,"ti" ,"til" ,"to" ,"tre" ,"ud" ,"var"})));
    	
    	//dutch
    	map.put("nl",  new HashSet<String>(Arrays.asList(
                new String[] {"aan" ,"af" ,"al" ,"als" ,"bij" ,"dan" ,"dat" ,"die" ,"dit" ,"een" ,"en" ,"er" ,"had" ,"heb" ,"hem" ,"het" ,"hij" ,"hoe" ,"hun" ,"ik	in" ,"is" ,"je" ,"kan" ,"me" ,"men" ,"met" ,"mij" ,"nog" ,"nu" ,"of" ,"ons" ,"ook" ,"te" ,"tot" ,"uit" ,"van" ,"was	wat" ,"we" ,"wel" ,"wij" ,"zal" ,"ze" ,"zei" ,"zij" ,"zo" , "zou"})));
   	
    	//finnish
    	map.put("fi",  new HashSet<String>(Arrays.asList(
                new String[] {"aiemmin" ,"aika" ,"aikaa" ,"aikaan" ,"aikaisemmin" ,"aikaisin" ,"aikajen" ,"aikana" ,"aikoina" ,"aikoo" ,"aikovat" ,"aina" ,"ainakaan" ,"ainakin" ,"ainoa" ,"ainoat" ,"aiomme" ,"aion" ,"aiotte" ,"aist" ,"aivan" ,"ajan" ,"älä" ,"alas" ,"alemmas" ,"älköön" ,"alkuisin" ,"alkuun" ,"alla" ,"alle" ,"aloitamme" ,"aloitan" ,"aloitat" ,"aloitatte" ,"aloitattivat" ,"aloitettava" ,"aloitettevaksi" ,"aloitettu" ,"aloitimme" ,"aloitin" ,"aloitit" ,"aloititte" ,"aloittaa" ,"aloittamatta" ,"aloitti" ,"aloittivat" ,"alta" ,"aluksi" ,"alussa" ,"alusta" ,"annettavaksi" ,"annetteva" ,"annettu" ,"antaa" ,"antamatta" ,"antoi" ,"aoua" ,"apu" ,"asia" ,"asiaa" ,"asian" ,"asiasta" ,"asiat" ,"asioiden" ,"asioihin" ,"asioita" ,"asti" ,"avuksi" ,"avulla" ,"avun" ,"avutta" ,"edellä" ,"edelle" ,"edelleen" ,"edeltä" ,"edemmäs" ,"edes" ,"edessä" ,"edestä" ,"ehkä" ,"ei" ,"eikä" ,"eilen" ,"eivät" ,"eli" ,"ellei" ,"elleivät" ,"ellemme" ,"ellen" ,"ellet" ,"ellette" ,"emme" ,"en" ,"enää" ,"enemmän" ,"eniten" ,"ennen" ,"ensi" ,"ensimmäinen" ,"ensimmäiseksi" ,"ensimmäisen" ,"ensimmäisenä" ,
                		"ensimmäiset" ,"ensimmäisiä" ,"ensimmäisiksi" ,"ensimmäisinä" ,"ensimmäistä" ,"ensin" ,"entinen" ,"entisen" ,"entisiä" ,"entistä" ,"entisten" ,"eräät" ,"eräiden" ,"eräs" ,"eri" ,"erittäin" ,"erityisesti" ,"esi" ,"esiin" ,"esillä" ,"esimerkiksi" ,"et" ,"eteen" ,"etenkin" ,"että" ,"ette" ,"ettei" ,"halua" ,"haluaa" ,"haluamatta" ,"haluamme" ,"haluan" ,"haluat" ,"haluatte" ,"haluavat" ,"halunnut" ,"halusi" ,"halusimme" ,"halusin" ,"halusit" ,"halusitte" ,"halusivat" ,"halutessa" ,"haluton" ,"hän" ,"häneen" ,"hänellä" ,"hänelle" ,"häneltä" ,"hänen" ,"hänessä" ,"hänestä" ,"hänet" ,"he" ,"hei" ,"heidän" ,"heihin" ,"heille" ,"heiltä" ,"heissä" ,"heistä" ,"heitä" ,"helposti" ,"heti" ,"hetkellä" ,"hieman" ,"huolimatta" ,"huomenna" ,"hyvä" ,"hyvää" ,"hyvät" ,"hyviä" ,"hyvien" ,"hyviin" ,"hyviksi" ,"hyville" ,"hyviltä" ,"hyvin" ,"hyvinä" ,"hyvissä" ,"hyvistä" ,"ihan" ,"ilman" ,"ilmeisesti" ,"itse" ,"itseään" ,"itsensä" ,"ja" ,"jää" ,"jälkeen" ,"jälleen" ,"jo" ,"johon" ,"joiden" ,"joihin" ,"joiksi" ,"joilla" ,"joille" ,"joilta" ,"joissa" ,"joista" ,"joita" ,"joka" ,
                		"jokainen" ,"jokin" ,"joko" ,"joku" ,"jolla" ,"jolle" ,"jolloin" ,"jolta" ,"jompikumpi" ,"jonka" ,"jonkin" ,"jonne" ,"joo" ,"jopa" ,"jos" ,"joskus" ,"jossa" ,"josta" ,"jota" ,"jotain" ,"joten" ,"jotenkin" ,"jotenkuten" ,"jotka" ,"jotta" ,"jouduimme" ,"jouduin" ,"jouduit" ,"jouduitte" ,"joudumme" ,"joudun" ,"joudutte" ,"joukkoon" ,"joukossa" ,"joukosta" ,"joutua" ,"joutui" ,"joutuivat" ,"joutumaan" ,"joutuu" ,"joutuvat" ,"juuri" ,"kahdeksan" ,"kahdeksannen" ,"kahdella	 kahdelle" ,"kahdelta" ,"kahden" ,"kahdessa" ,"kahdesta" ,"kahta" ,"kahteen" ,"kai" ,"kaiken" ,"kaikille" ,"kaikilta" ,"kaikkea" ,"kaikki" ,"kaikkia" ,"kaikkiaan" ,"kaikkialla" ,"kaikkialle" ,"kaikkialta" ,"kaikkien" ,"kaikkin" ,"kaksi" ,"kannalta" ,"kannattaa" ,"kanssa" ,"kanssaan" ,"kanssamme" ,"kanssani" ,"kanssanne" ,"kanssasi" ,"kauan" ,"kauemmas" ,"kautta" ,"kehen" ,"keiden" ,"keihin" ,"keiksi" ,"keillä" ,"keille" ,"keiltä" ,"keinä" ,"keissä" ,"keistä" ,"keitä" ,"keittä" ,"keitten" ,"keneen" ,"keneksi" ,"kenellä" ,"kenelle" ,"keneltä" ,"kenen" ,"kenenä" ,"kenessä" ,"kenestä" ,"kenet" ,
                		"kenettä" ,"kennessästä" ,"kerran" ,"kerta" ,"kertaa" ,"kesken" ,"keskimäärin" ,"ketä" ,"ketkä" ,"kiitos" ,"kohti" ,"koko" ,"kokonaan" ,"kolmas" ,"kolme" ,"kolmen" ,"kolmesti" ,"koska" ,"koskaan" ,"kovin" ,"kuin" ,"kuinka" ,"kuitenkaan" ,"kuitenkin" ,"kuka" ,"kukaan" ,"kukin" ,"kumpainen" ,"kumpainenkaan" ,"kumpi" ,"kumpikaan" ,"kumpikin" ,"kun" ,"kuten" ,"kuuden" ,"kuusi" ,"kuutta" ,"kyllä" ,"kymmenen" ,"kyse" ,"lähekkäin" ,"lähellä" ,"lähelle" ,"läheltä" ,"lähemmäs" ,"lähes" ,"lähinnä" ,"lähtien" ,"läpi" ,"liian" ,"liki" ,"lisää" ,"lisäksi" ,"luo" ,"mahdollisimman" ,"mahdollista" ,"me" ,"meidän" ,"meillä" ,"meille" ,"melkein" ,"melko" ,"menee" ,"meneet" ,"menemme" ,"menen" ,"menet" ,"menette" ,"menevät" ,"meni" ,"menimme" ,"menin" ,"menit" ,"menivät" ,"mennessä" ,"mennyt" ,"menossa" ,"mihin" ,"mikä" ,"mikään" ,"mikäli" ,"mikin" ,"miksi" ,"milloin" ,"minä" ,"minne" ,"minun" ,"minut" ,"missä" ,"mistä" ,"mitä" ,"mitään" ,"miten" ,"moi" ,"molemmat" ,"mones" ,"monesti" ,"monet" ,"moni" ,"moniaalla" ,"moniaalle" ,"moniaalta" ,"monta" ,"muassa" ,"muiden" ,
                		"muita" ,"muka" ,"mukaan" ,"mukaansa" ,"mukana" ,"mutta" ,"muu" ,"muualla" ,"muualle" ,"muualta" ,"muuanne" ,"muulloin" ,"muun" ,"muut" ,"muuta" ,"muutama" ,"muutaman" ,"muuten" ,"myöhemmin" ,"myös" ,"myöskään" ,"myöskin" ,"myötä" ,"näiden" ,"näin" ,"näissä" ,"näissähin" ,"näissälle" ,"näissältä" ,"näissästä" ,"näitä" ,"nämä" ,"ne" ,"neljä" ,"neljää" ,"neljän" ,"niiden" ,"niin" ,"niistä" ,"niitä" ,"noin" ,"nopeammin" ,"nopeasti" ,"nopeiten" ,"nro" ,"nuo" ,"nyt" ,"ohi" ,"oikein" ,"ole" ,"olemme" ,"olen" ,"olet" ,"olette" ,"oleva" ,"olevan" ,"olevat" ,"oli" ,"olimme" ,"olin" ,"olisi" ,"olisimme" ,"olisin" ,"olisit" ,"olisitte" ,"olisivat" ,"olit" ,"olitte" ,"olivat" ,"olla" ,"olleet" ,"olli" ,"ollut" ,"oma" ,"omaa" ,"omaan" ,"omaksi" ,"omalle" ,"omalta" ,"oman" ,"omassa" ,"omat" ,"omia" ,"omien" ,"omiin" ,"omiksi" ,"omille" ,"omilta" ,"omissa" ,"omista	 on" ,"onkin" ,"onko" ,"ovat" ,"päälle" ,"paikoittain" ,"paitsi" ,"pakosti" ,"paljon" ,"paremmin" ,"parempi" ,"parhaillaan" ,"parhaiten" ,"peräti" ,"perusteella" ,"pian" ,"pieneen" ,"pieneksi" ,"pienellä" ,
                		"pienelle" ,"pieneltä" ,"pienempi" ,"pienestä" ,"pieni" ,"pienin" ,"puolesta" ,"puolestaan" ,"runsaasti" ,"saakka" ,"sadam" ,"sama" ,"samaa" ,"samaan" ,"samalla" ,"samallalta" ,"samallassa" ,"samallasta" ,"saman" ,"samat" ,"samoin" ,"sata" ,"sataa" ,"satojen" ,"se" ,"seitsemän" ,"sekä" ,"sen" ,"seuraavat" ,"siellä" ,"sieltä" ,"siihen" ,"siinä" ,"siis" ,"siitä" ,"sijaan" ,"siksi" ,"sillä" ,"silloin" ,"silti" ,"sinä" ,"sinne" ,"sinua" ,"sinulle" ,"sinulta" ,"sinun" ,"sinussa" ,"sinusta" ,"sinut" ,"sisäkkäin" ,"sisällä" ,"sitä" ,"siten" ,"sitten" ,"suoraan" ,"suuntaan" ,"suuren" ,"suuret" ,"suuri" ,"suuria" ,"suurin" ,"suurten" ,"taa" ,"täällä" ,"täältä" ,"taas" ,"taemmas" ,"tähän" ,"tahansa" ,"tai" ,"takaa" ,"takaisin" ,"takana" ,"takia" ,"tällä" ,"tällöin" ,"tämä" ,"tämän" ,"tänä" ,"tänään" ,"tänne" ,"tapauksessa" ,"tässä" ,"tästä" ,"tätä" ,"täten" ,"tavalla" ,"tavoitteena" ,"täysin" ,"täytyvät" ,"täytyy" ,"te" ,"tietysti" ,"todella" ,"toinen" ,"toisaalla" ,"toisaalle" ,"toisaalta" ,"toiseen" ,"toiseksi" ,"toisella" ,"toiselle" ,"toiselta" ,"toisemme" ,
                		"toisen" ,"toisensa" ,"toisessa" ,"toisesta" ,"toista" ,"toistaiseksi" ,"toki" ,"tosin" ,"tuhannen" ,"tuhat" ,"tule" ,"tulee" ,"tulemme" ,"tulen" ,"tulet" ,"tulette" ,"tulevat" ,"tulimme" ,"tulin" ,"tulisi" ,"tulisimme" ,"tulisin" ,"tulisit" ,"tulisitte" ,"tulisivat" ,"tulit" ,"tulitte" ,"tulivat" ,"tulla" ,"tulleet" ,"tullut" ,"tuntuu" ,"tuo" ,"tuolla" ,"tuolloin" ,"tuolta" ,"tuonne" ,"tuskin" ,"tykö" ,"usea" ,"useasti" ,"useimmiten" ,"usein" ,"useita" ,"uudeksi" ,"uudelleen" ,"uuden" ,"uudet" ,"uusi" ,"uusia" ,"uusien" ,"uusinta" ,"uuteen" ,"uutta" ,"vaan" ,"vähän" ,"vähemmän" ,"vähintään" ,"vähiten" ,"vai" ,"vaiheessa" ,"vaikea" ,"vaikean" ,"vaikeat" ,"vaikeilla" ,"vaikeille" ,"vaikeilta" ,"vaikeissa" ,"vaikeista" ,"vaikka" ,"vain" ,"välillä" ,"varmasti" ,"varsin" ,"varsinkin" ,"varten" ,"vasta" ,"vastaan" ,"vastakkain" ,"verran" ,"vielä" ,"vierekkäin" ,"vieri" ,"viiden" ,"viime" ,"viimeinen" ,"viimeisen" ,"viimeksi" ,"viisi" ,"voi" ,"voidaan" ,"voimme" ,"voin" ,"voisi" ,"voit" ,"voitte" ,"voivat" ,"vuoden" ,"vuoksi" ,"vuosi" ,"vuosien" ,"vuosina" ,
                		"vuotta" ,"yhä" ,"yhdeksän" ,"yhden" ,"yhdessä" ,"yhtä" ,"yhtäällä" ,"yhtäälle" ,"yhtäältä" ,"yhtään" ,"yhteen" ,"yhteensä" ,"yhteydessä" ,"yhteyteen" ,"yksi" ,"yksin" ,"yksittäin" ,"yleensä" ,"ylemmäs" ,"yli" ,"ylös" ,"ympäri"})));

    	//french
    	map.put("fr",  new HashSet<String>(Arrays.asList(
                new String[] {"alors", "au", "aucuns", "aussi", "autre", "avant", "avec", "avoir", "bon", "car", "ce", "cela", "ces", "ceux", "chaque", "ci", "comme", "comment", "dans", "des", "du", "dedans", "dehors", "depuis", "deux", "devrait", "doit", "donc", "dos", "droite", "début", "elle", "elles", "en", "encore", "essai", "est", "et", "eu", "fait", "faites", "fois", "font", "force", "haut", "hors", "ici", "il", "ils", "je	juste", "la", "le", "les", "leur", "là", "ma", "maintenant", "mais", "mes", "mine", "moins", "mon", "mot", "même", "ni", "nommés", "notre", "nous", "nouveaux", "ou", "où", "par", "parce", "parole", "pas", "personnes", "peut", "peu", "pièce", "plupart", "pour", "pourquoi", "quand", "que", "quel", "quelle", "quelles", "quels", "qui", "sa", "sans", "ses", "seulement", "si", "sien", "son", "sont", "sous", "soyez	sujet", "sur", "ta", "tandis", "tellement", "tels", "tes", "ton", "tous", "tout", "trop", "très", "tu", "valeur", "voie", "voient", "vont", "votre", "vous", "vu", "ça", "étaient", "état", "étions", "été", "être"})));
    	
    	//english    	
    	map.put("en",  new HashSet<String>(Arrays.asList(
                new String[] {"a" ,"about" ,"above" ,"after" ,"again" ,"against" ,"all" ,"am" ,"an" ,"and" ,"any" ,"are" ,"aren't" ,"as" ,"at" ,"be" ,"because" ,"been" ,"before" ,"being" ,"below" ,"between" ,"both" ,"but" ,"by" ,"can't" ,"cannot" ,"could" ,"couldn't" ,"did" ,"didn't" ,"do" ,"does" ,"doesn't" ,"doing" ,"don't" ,"down" ,"during" ,"each" ,"few" ,"for" ,"from" ,"further" ,"had" ,"hadn't" ,"has" ,"hasn't" ,"have" ,"haven't" ,"having" ,"he" ,"he'd" ,"he'll" ,"he's" ,"her" ,"here" ,"here's" ,"hers" ,"herself" ,"him" ,"himself" ,"his" ,"how" ,"how's" ,"i" ,"i'd" ,"i'll" ,"i'm" ,"i've" ,"if" ,"in" ,"into" ,"is" ,"isn't" ,"it" ,"it's" ,"its" ,"itself" ,"let's" ,"me" ,"more" ,"most" ,"mustn't" ,"my" ,"myself" ,"no" ,"nor" ,"not" ,"of" ,"off" ,"on" ,"once" ,"only" ,"or" ,"other" ,"ought" ,"our" ,"ours 	ourselves" ,"out" ,"over" ,"own" ,"same" ,"shan't" ,"she" ,"she'd" ,"she'll" ,"she's" ,"should" ,"shouldn't" ,"so" ,"some" ,"such" ,"than" ,"that" ,"that's" ,"the" ,"their" ,"theirs" ,"them" ,"themselves" ,"then" ,"there" ,"there's" ,"these" ,"they" ,"they'd" ,"they'll" ,
                		"they're" ,"they've" ,"this" ,"those" ,"through" ,"to" ,"too" ,"under" ,"until" ,"up" ,"very" ,"was" ,"wasn't" ,"we" ,"we'd" ,"we'll" ,"we're" ,"we've" ,"were" ,"weren't" ,"what" ,"what's" ,"when" ,"when's" ,"where" ,"where's" ,"which" ,"while" ,"who" ,"who's" ,"whom" ,"why" ,"why's" ,"with" ,"won't" ,"would" ,"wouldn't" ,"you" ,"you'd" ,"you'll" ,"you're" ,"you've" ,"your" ,"yours" ,"yourself" ,"yourselves"})));
    	
    	//german
    	map.put("de",  new HashSet<String>(Arrays.asList(
                new String[] {
                		"aber", "als", "am", "an", "auch", "auf", "aus", "bei", "bin", "bis", "bist", "da", "dadurch", "daher", "darum", "das", "daß", "dass", "dein", "deine", "dem", "den", "der", "des", "dessen", "deshalb", "die", "dies", "dieser", "dieses", "doch", "dort", "du", "durch", "ein", "eine", "einem", "einen", "einer", "eines", "er", "es", "euer", "eure", "für", "hatte", "hatten", "hattest", "hattet", "hier	hinter", "ich", "ihr", "ihre", "im", "in", "ist", "ja", "jede", "jedem", "jeden", "jeder", "jedes", "jener", "jenes", "jetzt", "kann", "kannst", "können", "könnt", "machen", "mein", "meine", "mit", "muß", "mußt", "musst", "müssen", "müßt", "nach", "nachdem", "nein", "nicht", "nun", "oder", "seid", "sein", "seine", "sich", "sie", "sind", "soll", "sollen", "sollst", "sollt", "sonst", "soweit", "sowie", "und", "unser	unsere", "unter", "vom", "von", "vor", "wann", "warum", "was", "weiter", "weitere", "wenn", "wer", "werde", "werden", "werdet", "weshalb", "wie", "wieder", "wieso", "wir", "wird", "wirst", "wo", "woher", "wohin", "zu", "zum", "zur", "über"})));

    	//greek
    	map.put("el",  new HashSet<String>(Arrays.asList(
                new String[] {"μή " ,"ἑαυτοῦ " ,"ἄν " ,"ἀλλ’ " ,"ἀλλά " ,"ἄλλοσ " ,"ἀπό " ,"ἄρα " ,"αὐτόσ " ,"δ’ " ,"δέ " ,"δή " ,"διά " ,"δαί " ,"δαίσ " ,"ἔτι " ,"ἐγώ " ,"ἐκ " ,"ἐμόσ " ,"ἐν " ,"ἐπί " ,"εἰ " ,"εἰμί " ,"εἴμι " ,"εἰσ " ,"γάρ " ,"γε " ,"γα^ " ,"ἡ " ,"ἤ 	καί " ,"κατά " ,"μέν " ,"μετά " ,"μή " ,"ὁ " ,"ὅδε " ,"ὅσ " ,"ὅστισ " ,"ὅτι " ,"οὕτωσ " ,"οὗτοσ " ,"οὔτε " ,"οὖν " ,"οὐδείσ " ,"οἱ " ,"οὐ " ,"οὐδέ " ,"οὐκ " ,"περί " ,"πρόσ " ,"σύ " ,"σύν " ,"τά " ,"τε " ,"τήν " ,"τῆσ " ,"τῇ " ,"τι " ,"τί 	τισ" ,"τίσ " ,"τό " ,"τοί " ,"τοιοῦτοσ " ,"τόν " ,"τούσ " ,"τοῦ " ,"τῶν " ,"τῷ " ,"ὑμόσ " ,"ὑπέρ " ,"ὑπό " ,"ὡσ " ,"ὦ " ,"ὥστε " ,"ἐάν " ,"παρά " ,"σόσ"})));

    	//hungarian
    	map.put("hu",  new HashSet<String>(Arrays.asList(
                new String[] {"a", "az", "egy", "be", "ki", "le", "fel", "meg", "el", "át", "rá", "ide	oda", "szét", "össze", "vissza", "de", "hát", "és", "vagy", "hogy", "van", "lesz", "volt	csak", "nem", "igen", "mint", "én", "te", "õ", "mi", "ti", "õk", "ön"})));

    	//italian
    	map.put("it",  new HashSet<String>(Arrays.asList(
                new String[] {"a", "adesso", "ai", "al", "alla", "allo", "allora", "altre", "altri", "altro", "anche", "ancora", "avere", "aveva", "avevano", "ben", "buono", "che", "chi", "cinque", "comprare", "con", "consecutivi", "consecutivo", "cosa", "cui", "da", "del", "della", "dello", "dentro", "deve", "devo", "di", "doppio", "due", "e", "ecco", "fare", "fine", "fino", "fra", "gente", "giu", "ha", "hai", "hanno", "ho", "il", "indietro	invece", "io", "la", "lavoro", "le", "lei", "lo", "loro", "lui", "lungo", "ma", "me", "meglio", "molta", "molti", "molto", "nei", "nella", "no", "noi", "nome", "nostro", "nove", "nuovi", "nuovo", "o", "oltre", "ora", "otto", "peggio", "pero", "persone", "piu", "poco", "primo", "promesso", "qua", "quarto", "quasi", "quattro", "quello", "questo", "qui", "quindi", "quinto", "rispetto", "sara", "secondo", "sei", "sembra	sembrava", "senza", "sette", "sia", "siamo", "siete", "solo", "sono", "sopra", "soprattutto", "sotto", "stati", "stato", "stesso", "su", "subito", "sul", "sulla", "tanto", "te", "tempo", "terzo", "tra", "tre", "triplo", "ultimo", "un", "una", "uno", "va", "vai", "voi", "volte", "vostro"})));

    	//japanese
    	map.put("ja",  new HashSet<String>(Arrays.asList(
                new String[] {"これ" ,"それ" ,"あれ" ,"この" ,"その" ,"あの" ,"ここ" ,"そこ" ,"あそこ" ,"こちら" ,"どこ" ,"だれ" ,"なに" ,"なん" ,"何" ,"私" ,"貴方	貴方方" ,"我々" ,"私達" ,"あの人" ,"あのかた" ,"彼女" ,"彼" ,"です" ,"あります" ,"おります" ,"います" ,"は" ,"が" ,"の" ,"に" ,"を" ,"で	え" ,"から" ,"まで" ,"より" ,"も" ,"どの" ,"と" ,"し" ,"それで" , "しかし"})));
    	
    	//norwegian
    	map.put("no",  new HashSet<String>(Arrays.asList(
                new String[] {"alle" ," andre" ," arbeid" ," av" ," begge" ," bort" ," bra" ," bruke" ," da" ," denne" ," der" ," deres" ," det" ," din" ," disse" ," du" ," eller" ," en" ," ene" ," eneste" ," enhver" ," enn" ," er" ," et" ," folk" ," for" ," fordi" ," forsÛke" ," fra" ," fÅ" ," fÛr" ," fÛrst" ," gjorde" ," gjÛre" ," god" ," gÅ" ," ha" ," hadde" ," han" ," hans" ," hennes" ," her" ," hva" ," hvem" ," hver" ," hvilken" ," hvis" ," hvor" ," hvordan" ," hvorfor	i" ," ikke" ," inn" ," innen" ," kan" ," kunne" ," lage" ," lang" ," lik" ," like" ," makt" ," mange" ," med" ," meg" ," meget" ," men" ," mens" ," mer" ," mest" ," min" ," mye" ," mÅ" ," mÅte" ," navn" ," nei" ," ny" ," nÅ" ," nÅr" ," og" ," ogsÅ" ," om" ," opp" ," oss" ," over" ," part" ," punkt" ," pÅ" ," rett" ," riktig" ," samme" ," sant" ," si" ," siden" ," sist" ," skulle" ," slik" ," slutt" ," som" ," start" ," stille	sÅ" ," tid" ," til" ," tilbake" ," tilstand" ," under" ," ut" ," uten" ," var" ," ved" ," verdi" ," vi" ," vil" ," ville" ," vite" ," vÅr" ," vÖre" ," vÖrt" , "Å"})));
    	
    	//polish
    	map.put("pl",  new HashSet<String>(Arrays.asList(
                new String[] {"ach", "aj", "albo", "bardzo", "bez", "bo", "być", "ci", "cię", "ciebie", "co", "czy", "daleko", "dla", "dlaczego", "dlatego", "do", "dobrze", "dokąd", "dość", "dużo", "dwa", "dwaj", "dwie", "dwoje", "dziś", "dzisiaj", "gdyby", "gdzie", "go", "ich", "ile", "im", "inny", "ja", "ją", "jak", "jakby", "jaki", "je", "jeden", "jedna", "jedno", "jego", "jej", "jemu", "jeśli", "jest", "jestem", "jeżeli	 już", "każdy", "kiedy", "kierunku", "kto", "ku", "lub", "ma", "mają", "mam", "mi", "mną", "mnie", "moi", "mój", "moja", "moje", "może", "mu", "my", "na", "nam", "nami", "nas", "nasi", "nasz", "nasza", "nasze", "natychmiast", "nią", "nic", "nich", "nie", "niego", "niej", "niemu", "nigdy", "nim", "nimi", "niż", "obok", "od", "około", "on", "ona", "one", "oni", "ono", "owszem", "po	 pod", "ponieważ", "przed", "przedtem", "są", "sam", "sama", "się", "skąd", "tak", "taki", "tam", "ten", "to", "tobą", "tobie", "tu", "tutaj", "twoi", "twój", "twoja", "twoje", "ty", "wam", "wami", "was", "wasi", "wasz", "wasza", "wasze", "we", "więc", "wszystko", "wtedy", "wy", "żaden", "zawsze", "że"})));

    	//portugesie
    	map.put("pt",  new HashSet<String>(Arrays.asList(
                new String[] {"último", "é", "acerca", "agora", "algmas", "alguns", "ali", "ambos", "antes", "apontar", "aquela", "aquelas", "aquele", "aqueles", "aqui", "atrás", "bem", "bom", "cada", "caminho", "cima", "com", "como", "comprido", "conhecido", "corrente", "das", "debaixo", "dentro", "desde", "desligado", "deve", "devem", "deverá", "direita", "diz", "dizer", "dois", "dos", "e", "ela", "ele", "eles", "em", "enquanto", "então", "está", "estão", "estado", "estar	estará", "este", "estes", "esteve", "estive", "estivemos", "estiveram", "eu", "fará", "faz", "fazer", "fazia", "fez", "fim", "foi", "fora", "horas", "iniciar", "inicio", "ir", "irá", "ista", "iste", "isto", "ligado", "maioria", "maiorias", "mais", "mas", "mesmo", "meu", "muito", "muitos", "nós", "não", "nome", "nosso", "novo", "o", "onde", "os", "ou", "outro", "para", "parte", "pegar", "pelo", "pessoas", "pode", "poderá	podia", "por", "porque", "povo", "promeiro", "quê", "qual", "qualquer", "quando", "quem", "quieto", "são", "saber", "sem", "ser", "seu", "somente", "têm", "tal", "também", "tem", "tempo", "tenho", "tentar", "tentaram", "tente", "tentei", "teu", "teve", "tipo", "tive", "todos", "trabalhar", "trabalho", "tu", "um", "uma", "umas", "uns", "usa", "usar", "valor", "veja", "ver", "verdade", "verdadeiro", "você"})));

    	//russian
    	map.put("ru",  new HashSet<String>(Arrays.asList(
                new String[] {"а", "е", "и", "ж", "м", "о", "на", "не", "ни", "об", "но", "он", "мне", "мои", "мож", "она", "они", "оно", "мной", "много", "многочисленное", "многочисленная", "многочисленные", "многочисленный", "мною", "мой", "мог", "могут", "можно", "может", "можхо", "мор", "моя", "моё", "мочь", "над", "нее", "оба", "нам", "нем", "нами", "ними", "мимо", "немного", "одной", "одного", "менее", "однажды", "однако", "меня", "нему", "меньше", "ней", "наверху", "него", "ниже", "мало", "надо", "один", "одиннадцать", "одиннадцатый", "назад", "наиболее", "недавно", "миллионов", "недалеко", "между", "низко", "меля", "нельзя", "нибудь", "непрерывно", "наконец", "никогда", "никуда", "нас", "наш", "нет", "нею", "неё", "них", "мира", "наша", "наше", "наши", "ничего", "начала", "нередко", "несколько", "обычно", "опять", "около", "мы", "ну", "нх", "от", "отовсюду", "особенно", "нужно", "очень", "отсюда", "в", "во", "вон", "вниз", "внизу", "вокруг", "вот", "восемнадцать", "восемнадцатый", "восемь", "восьмой", "вверх", "вам", "вами", "важное", "важная", "важные", "важный", "вдали", 
                		"везде", "ведь", "вас", "ваш", "ваша", "ваше", "ваши", "впрочем", "весь", "вдруг", "вы", "все", "второй", "всем", "всеми", "времени", "время", "всему", "всего", "всегда", "всех", "всею", "всю", "вся", "всё", "всюду", "г	 год", "говорил", "говорит", "года", "году", "где", "да", "ее", "за", "из", "ли", "же", "им", "до", "по", "ими", "под", "иногда", "довольно", "именно", "долго", "позже", "более", "должно", "пожалуйста", "значит", "иметь", "больше", "пока", "ему", "имя", "пор", "пора", "потом", "потому", "после", "почему", "почти", "посреди", "ей", "два", "две", "двенадцать", "двенадцатый", "двадцать", "двадцатый", "двух", "его", "дел", "или", "без", "день", "занят", "занята", "занято", "заняты", "действительно", "давно", "девятнадцать", "девятнадцатый", "девять", "девятый", "даже", "алло", "жизнь", "далеко", "близко", "здесь", "дальше", "для", "лет", "зато", "даром", "первый", "перед", "затем", "зачем", "лишь", "десять", "десятый", "ею", "её", "их", "бы", "еще", "при", "был", "про", "процентов", "против", "просто", "бывает", "бывь", "если", "люди", "была",
                		"были", "было", "будем", "будет", "будете", "будешь", "прекрасно", "буду", "будь", "будто", "будут", "ещё", "пятнадцать", "пятнадцатый", "друго", "другое", "другой", "другие", "другая", "других", "есть", "пять", "быть", "лучше", "пятый", "к", "ком", "конечно", "кому", "кого", "когда", "которой", "которого", "которая", "которые", "который", "которых", "кем", "каждое", "каждая", "каждые", "каждый", "кажется", "как", "какой", "какая", "кто", "кроме", "куда", "кругом", "с	 т", "у", "я", "та", "те", "уж", "со", "то", "том", "снова", "тому", "совсем", "того", "тогда", "тоже", "собой", "тобой", "собою", "тобою", "сначала", "только", "уметь", "тот", "тою", "хорошо", "хотеть", "хочешь", "хоть", "хотя", "свое", "свои", "твой", "своей", "своего", "своих", "свою", "твоя", "твоё", "раз", "уже", "сам", "там", "тем", "чем", "сама", "сами", "теми", "само", "рано", "самом", "самому", "самой", "самого", "семнадцать", "семнадцатый", "самим", "самими", "самих", "саму", "семь", "чему", "раньше", "сейчас", "чего", "сегодня", "себе", "тебе", "сеаой", "человек", "разве", "теперь", 
                		"себя", "тебя", "седьмой", "спасибо", "слишком", "так", "такое", "такой", "такие", "также", "такая", "сих", "тех", "чаще", "четвертый", "через", "часто", "шестой", "шестнадцать", "шестнадцатый", "шесть", "четыре", "четырнадцать", "четырнадцатый", "сколько", "сказал", "сказала", "сказать", "ту", "ты", "три", "эта", "эти", "что", "это", "чтоб", "этом", "этому", "этой", "этого", "чтобы", "этот", "стал", "туда", "этим", "этими", "рядом", "тринадцать", "тринадцатый", "этих", "третий", "тут", "эту", "суть", "чуть", "тысяч"})));
    	
    	//spanish
    	map.put("es",  new HashSet<String>(Arrays.asList(
                new String[] {"un", "una", "unas", "unos", "uno", "sobre", "todo", "también", "tras", "otro", "algún", "alguno", "alguna", "algunos", "algunas", "ser", "es", "soy", "eres", "somos", "sois", "estoy", "esta", "estamos", "estais", "estan", "como", "en", "para", "atras", "porque", "por qué", "estado", "estaba", "ante", "antes", "siendo", "ambos", "pero", "por", "poder", "puede", "puedo", "podemos", "podeis", "pueden", "fui", "fue", "fuimos", "fueron", "hacer", "hago", "hace", "hacemos", "haceis", "hacen", "cada", "fin", "incluso", "primero	desde", "conseguir", "consigo", "consigue", "consigues", "conseguimos", "consiguen", "ir", "voy", "va", "vamos", "vais", "van", "vaya", "gueno", "ha", "tener", "tengo", "tiene", "tenemos", "teneis", "tienen", "el", "la", "lo", "las", "los", "su", "aqui", "mio", "tuyo", "ellos", "ellas", "nos", "nosotros", "vosotros", "vosotras", "si", "dentro", "solo", "solamente", "saber", "sabes", "sabe", "sabemos", "sabeis", "saben", "ultimo", "largo", "bastante", "haces", "muchos", "aquellos", "aquellas", "sus", "entonces", "tiempo", "verdad", "verdadero", 
                		"verdadera	cierto", "ciertos", "cierta", "ciertas", "intentar", "intento", "intenta", "intentas", "intentamos", "intentais", "intentan", "dos", "bajo", "arriba", "encima", "usar", "uso", "usas", "usa", "usamos", "usais", "usan", "emplear", "empleo", "empleas", "emplean", "ampleamos", "empleais", "valor", "muy", "era", "eras", "eramos", "eran", "modo", "bien", "cual", "cuando", "donde", "mientras", "quien", "con", "entre", "sin", "trabajo", "trabajar", "trabajas", "trabaja", "trabajamos", "trabajais", "trabajan", "podria", "podrias", "podriamos", "podrian", "podriais", "yo", "aquel"})));
    	
    	//swedish
    	map.put("sv",  new HashSet<String>(Arrays.asList(
                new String[] {"aderton" ,"adertonde" ,"adjö" ,"aldrig" ,"alla" ,"allas" ,"allt" ,"alltid" ,"alltså" ,"än" ,"andra" ,"andras" ,"annan" ,"annat" ,"ännu" ,"artonde" ,"artonn" ,"åtminstone" ,"att" ,"åtta" ,"åttio" ,"åttionde" ,"åttonde" ,"av" ,"även" ,"båda" ,"bådas" ,"bakom" ,"bara" ,"bäst" ,"bättre" ,"behöva" ,"behövas" ,"behövde" ,"behövt" ,"beslut" ,"beslutat" ,"beslutit" ,"bland" ,"blev" ,"bli" ,"blir" ,"blivit" ,"bort" ,"borta" ,"bra" ,"då" ,"dag" ,"dagar" ,"dagarna" ,"dagen" ,"där" ,"därför" ,"de" ,"del" ,"delen" ,"dem" ,"den" ,"deras" ,"dess" ,"det" ,"detta" ,"dig" ,"din" ,"dina" ,"dit" ,"ditt" ,"dock" ,"du" ,"efter" ,"eftersom" ,"elfte" ,"eller" ,"elva" ,"en" ,"enkel" ,"enkelt" ,"enkla" ,"enligt" ,"er" ,"era" ,"ert" ,"ett" ,"ettusen" ,"få " ,"fanns" ,"får" ,"fått " ,"fem" ,"femte" ,"femtio" ,"femtionde" ,"femton" ,"femtonde" ,"fick" ,"fin" ,"finnas" ,"finns" ,"fjärde" ,"fjorton" ,"fjortonde" ,"fler" ,"flera" ,"flesta" ,"följande" ,"för" ,"före" ,"förlåt" ,"förra" ,"första" ,"fram" ,"framför" ,"från" ,"fyra" ,"fyrtio" ,"fyrtionde" ,"gå" ,"gälla" ,"gäller" ,"gällt" ,"går" ,"gärna" ,"gått" ,
                		"genast" ,"genom" ,"gick" ,"gjorde" ,"gjort" ,"god" ,"goda" ,"godare" ,"godast" ,"gör" ,"göra" ,"gott" ,"ha" ,"hade" ,"haft" ,"han" ,"hans" ,"har" ,"här" ,"heller" ,"hellre" ,"helst" ,"helt" ,"henne" ,"hennes" ,"hit" ,"hög" ,"höger" ,"högre" ,"högst" ,"hon" ,"honom" ,"hundra" ,"hundraen" ,"hundraett" ,"hur" ,"i" ,"ibland" ,"idag" ,"igår" ,"igen" ,"imorgon" ,"in" ,"inför" ,"inga" ,"ingen" ,"ingenting" ,"inget" ,"innan" ,"inne" ,"inom" ,"inte" ,"inuti" ,"ja" ,"jag" ,"jämfört" ,"kan	kanske" ,"knappast" ,"kom" ,"komma" ,"kommer" ,"kommit" ,"kr" ,"kunde" ,"kunna" ,"kunnat" ,"kvar" ,"länge" ,"längre" ,"långsam" ,"långsammare" ,"långsammast" ,"långsamt" ,"längst" ,"långt" ,"lätt" ,"lättare" ,"lättast" ,"legat" ,"ligga" ,"ligger" ,"lika" ,"likställd" ,"likställda" ,"lilla" ,"lite" ,"liten" ,"litet" ,"man" ,"många" ,"måste" ,"med" ,"mellan" ,"men" ,"mer" ,"mera" ,"mest" ,"mig" ,"min" ,"mina" ,"mindre" ,"minst" ,"mitt" ,"mittemot" ,"möjlig" ,"möjligen" ,"möjligt" ,"möjligtvis" ,"mot" ,"mycket" ,"någon" ,"någonting" ,"något" ,"några" ,"när" ,"nästa" ,"ned" ,"nederst" ,"nedersta" ,"nedre" ,
                		"nej" ,"ner" ,"ni" ,"nio" ,"nionde" ,"nittio" ,"nittionde" ,"nitton" ,"nittonde" ,"nödvändig" ,"nödvändiga" ,"nödvändigt" ,"nödvändigtvis" ,"nog" ,"noll" ,"nr" ,"nu" ,"nummer" ,"och" ,"också" ,"ofta" ,"oftast" ,"olika" ,"olikt" ,"om" ,"oss" ,"över" ,"övermorgon" ,"överst" ,"övre" ,"på" ,"rakt" ,"rätt" ,"redan" ,"så" ,"sade" ,"säga" ,"säger" ,"sagt" ,"samma" ,"sämre" ,"sämst" ,"sedan" ,"senare" ,"senast" ,"sent" ,"sex" ,"sextio" ,"sextionde" ,"sexton" ,"sextonde" ,"sig" ,"sin" ,"sina" ,"sist" ,"sista" ,"siste" ,"sitt" ,"sjätte" ,"sju" ,"sjunde" ,"sjuttio" ,"sjuttionde" ,"sjutton" ,"sjuttonde" ,"ska" ,"skall" ,"skulle" ,"slutligen" ,"små" ,"smått" ,"snart" ,"som" ,"stor" ,"stora" ,"större" ,"störst" ,"stort" ,"tack" ,"tidig" ,"tidigare" ,"tidigast" ,"tidigt" ,"till" ,"tills" ,"tillsammans" ,"tio" ,"tionde" ,"tjugo" ,"tjugoen" ,"tjugoett" ,"tjugonde" ,"tjugotre" ,"tjugotvå" ,"tjungo" ,"tolfte" ,"tolv" ,"tre" ,"tredje" ,"trettio" ,"trettionde" ,"tretton" ,"trettonde" ,"två" ,"tvåhundra" ,"under" ,"upp" ,"ur" ,"ursäkt" ,"ut" ,"utan" ,"utanför" ,"ute" ,"vad" ,"vänster" ,"vänstra	var" ,
                		"vår" ,"vara" ,"våra" ,"varför" ,"varifrån" ,"varit" ,"varken" ,"värre" ,"varsågod" ,"vart" ,"vårt" ,"vem" ,"vems" ,"verkligen" ,"vi" ,"vid" ,"vidare" ,"viktig" ,"viktigare" ,"viktigast" ,"viktigt" ,"vilka" ,"vilken" ,"vilket" , "vill"})));
    	
		//turkish
    	map.put("tr",  new HashSet<String>(Arrays.asList(
                new String[] {"acaba", "altmýþ", "altý", "ama", "bana", "bazý", "belki", "ben", "benden", "beni", "benim", "beþ", "bin", "bir", "biri", "birkaç", "birkez", "birþey", "birþeyi", "biz", "bizden", "bizi", "bizim", "bu", "buna", "bunda", "bundan", "bunu", "bunun", "da", "daha", "dahi", "de", "defa", "diye", "doksan", "dokuz", "dört", "elli", "en	gibi", "hem", "hep", "hepsi", "her", "hiç", "iki", "ile", "INSERmi", "ise", "için", "katrilyon", "kez", "ki", "kim", "kimden", "kime", "kimi", "kýrk", "milyar", "milyon", "mu", "mü", "mý", "nasýl", "ne", "neden", "nerde", "nerede", "nereye", "niye", "niçin", "on", "ona", "ondan", "onlar", "onlardan", "onlari", "onlarýn", "onu	otuz", "sanki", "sekiz", "seksen", "sen", "senden", "seni", "senin", "siz", "sizden", "sizi", "sizin", "trilyon", "tüm", "ve", "veya", "ya", "yani", "yedi", "yetmiþ", "yirmi", "yüz", "çok", "çünkü", "üç", "þey", "þeyden", "þeyi", "þeyler", "þu", "þuna", "þunda", "þundan", "þunu"})));
    	
    	return map;
    }    
    
}
