package de.tudarmstadt.ke.sw.matching.wikimatch.matcher;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.util.HashMap;
import java.util.Map;
/**
 * @author Sven Hertling
 * 
 */
public class TimeSaver {
	private static boolean load = false;
	private static boolean save = false;
	
	private static final String filename = "./ts-ressource.txt";
	private static Map<String, Resource> map = loadResource();	
	@SuppressWarnings("unchecked")
	private static Map<String, Resource> loadResource() {
		if(save){
			//save at the end
			Runtime.getRuntime().addShutdownHook(new Thread(new Runnable() {	
				public void run() {
					System.out.println("save map with " + map.size() + " entries");
					OutputStream fos = null;
					try {
						fos = new FileOutputStream(filename);
						ObjectOutputStream o = new ObjectOutputStream(fos);
						o.writeObject(map);
					} catch (IOException e) {
						System.err.println(e);
					} finally {
						try {
							fos.close();
						} catch (Exception e) {}
					}
				}
			}));
		}
		
		if(load){
			InputStream fis = null;
			try {
				fis = new FileInputStream(filename);
				ObjectInputStream o = new ObjectInputStream(fis);				
				return (HashMap<String, Resource>) o.readObject();
			} catch (IOException e) { return new HashMap<String, Resource>();
			} catch (ClassNotFoundException e) { return new HashMap<String, Resource>();
			} finally {try {fis.close();} catch (Exception e) {	return new HashMap<String, Resource>();} }
		}
		else{
			return new HashMap<String, Resource>();
		}
	}
	
	public static Resource getResource(String res){
		return map.get(res);
	}
	
	public static void put(String res, Resource value){
		map.put(res, value);
	}
}
