package de.tudarmstadt.ke.sw.matching.wikimatch.matcher;

import java.io.Serializable;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author Sven Hertling
 * 
 */
public class Titles implements Serializable {
	
	private Map<String, Integer> titles;
	
	public Titles(List<String> initialList){
		this.titles = new HashMap<String, Integer>();
		for(int i = 0; i < initialList.size(); i++){
			this.add(initialList.get(i), i);
		}
	}
	
	public static double getintersection(Titles a, Titles b){
		Set<String> setA = a.titles.keySet();
		Set<String> setB = b.titles.keySet();
		
		Set<String> intersection = new HashSet<String>(setA);
		intersection.retainAll(setB);
		return (double) intersection.size();
		
	}
	
	public static double getunion(Titles a, Titles b){
		Set<String> setA = a.titles.keySet();
		Set<String> setB = b.titles.keySet();
		
		Set<String> union = new HashSet<String>(setA);
		union.addAll(setB);
		return (double)union.size();		
	}
	
	public static double match(Titles a, Titles b){
		Set<String> setA = a.titles.keySet();
		Set<String> setB = b.titles.keySet();
		
		Set<String> intersection = new HashSet<String>(setA);
		intersection.retainAll(setB);
		
		Set<String> union = new HashSet<String>(setA);
		union.addAll(setB);
		double test = (double)intersection.size() / (double)union.size();
		
				
		return test;
	}
	
	
	
	public void add(String title, int index){
		this.titles.put(title, index);
	}
	
	public int getIndex(String title){
		Integer i = this.titles.get(title);
		if(i == null){
			i = new Integer(-1);
		}
		return i;
	}
	
	public String toString(){
		StringBuilder sb = new StringBuilder();
		//sb.append(this.titles.size());
		//sb.append(kleiner(this.titles.keySet().toString()));
		sb.append(this.titles.keySet().toString());
		return sb.toString();
	}
	
	
	private static final long serialVersionUID = -7173699274409145947L;

}
