package de.tudarmstadt.ke.sw.matching.wikimatch.matcher;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
/**
 * @author Sven Hertling
 * 
 */
public class WikipediaRequest {
	
	private Map<String, String> map;
	private URL endpoint;
	
	public WikipediaRequest(Map<String, String> initialMap, URL givenEndpoint){
		map = initialMap;
		endpoint = givenEndpoint;
	}
	
	public WikipediaRequest(URL givenEndpoint){
		this(new HashMap<String, String>(), givenEndpoint);
	}
	
	
	public void putParameter(String key, String value){
		map.put(key, value);
	}
	
	public void removeParameter(String key){
		map.remove(key);
	}
	
	public URL getURL(){
		StringBuilder uriBuilder = new StringBuilder();
		
		uriBuilder.append(endpoint.getProtocol());
		uriBuilder.append("://");
		uriBuilder.append(endpoint.getHost());
		uriBuilder.append(endpoint.getPath());
		uriBuilder.append("?");

		for(Entry<String, String> parameter : map.entrySet()){
			String value = new String();
			try {
				value = URLEncoder.encode(parameter.getValue(), "UTF-8");
			} catch (UnsupportedEncodingException e) {
				e.printStackTrace();
				continue;
			}
			uriBuilder.append(parameter.getKey());
			uriBuilder.append("=");
			uriBuilder.append(value);
			uriBuilder.append("&");			
		}
		final String urlString = uriBuilder.toString();
		
		URL url = null;
		try {
			url = new URL(urlString.substring(0, urlString.lastIndexOf("&")));
		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return url;
	}
	
	public String runRequest(){
		
        StringBuffer sb = new StringBuffer();
        String line;
        // Get the response
		try{
	        URLConnection conn = getURL().openConnection();
	        BufferedReader rd = new BufferedReader(new InputStreamReader(conn.getInputStream()));
	        while ((line = rd.readLine()) != null) { sb.append(line); }
	        rd.close();
		}
		catch(IOException e){
			e.printStackTrace();
		}
        return sb.toString();
	}

}
